For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordDashboard
DocumentationAPI ReferenceCookbook
DocumentationAPI ReferenceCookbook
  • API Reference
    • POSTStart instance
    • GETGet instance by ID
    • GETList all instances
    • GETList all browser authentication states
      • POSTStart browser
      • GETGet CDP URL
      • GETGet current URL
      • POSTSave browser authentication state
      • POSTModify browser authentication state
      • POSTAuthenticate browser using saved state
      • POSTStop browser
  • SDK Reference
    • Python SDK
    • TypeScript SDK
Logo
DiscordDashboard
API ReferenceBrowser

Modify browser authentication state

POST
https://api.scrapybara.com/v1/instance/:instance_id/browser/modify_auth
POST
/v1/instance/:instance_id/browser/modify_auth
1import requests
2
3url = "https://api.scrapybara.com/v1/instance/instance_id/browser/modify_auth"
4
5querystring = {"auth_state_id":"auth_state_id"}
6
7headers = {"x-api-key": "<apiKey>"}
8
9response = requests.post(url, headers=headers, params=querystring)
10
11print(response.json())
1{
2 "status": "status",
3 "auth_state_id": "auth_state_id",
4 "name": "name"
5}
Was this page helpful?
Previous

Authenticate browser using saved state

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

instance_idstringRequired

Query parameters

auth_state_idstringRequired
namestringOptional

Response

Successful Response
statusstring
auth_state_idstring
namestring

Errors

422
Browser Modify Auth Request Unprocessable Entity Error